FROM ubuntu
RUN apt-get update -y
ENV TZ=America/Santiago
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone
RUN apt-get install -y build-essential
RUN apt install git -y 
RUN apt install python-dev -y
RUN apt install libnetfilter-queue-dev -y
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get install -y tshark
RUN apt install tcpdump -y 
RUN apt install python3-pip -y
RUN apt install wireshark -y
RUN pip3 install git+https://github.com/kti/python-netfilterqueue
RUN pip3 install polymorph
RUN apt install nano -y
RUN apt-get install iptables -y
WORKDIR /usr/local/lib/python3.8/dist-packages/polymorph/functions
COPY filter_mqtt.py .
COPY mod_mqtt.py .
WORKDIR /usr/local/bin/
CMD [ "polymorph" ]